lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require "gifnoc/version"

Gem::Specification.new do |spec|
	spec.name          = "gifnoc"
	spec.version       = Gifnoc::VERSION
	spec.authors       = ["Cloud 66"]
	spec.email         = ["hello@cloud66.com"]

	spec.summary       = "A Ruby Gifnoc client implementation"
	spec.homepage      = "https://github.com/cloud66-oss/gifnoc-ruby"
	spec.license       = "Apache-2.0"

	# Specify which files should be added to the gem when it is released.
	# The `git ls-files -z` loads the files in the RubyGem that have been added into git.
	spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
		`git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
	end
	spec.bindir        = "bin"
	spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
	spec.require_paths = ["lib"]

	spec.add_development_dependency "bundler", "~> 1.16"
	spec.add_development_dependency "rake", "~> 10.0"
	spec.add_development_dependency "minitest", "~> 5.0"
	spec.add_development_dependency "pry-byebug", "~> 3.6"
	spec.add_development_dependency "webmock", "~> 3.4", ">= 3.4.2"
	spec.add_development_dependency "vcr", "~> 4.0"
	spec.add_development_dependency "simplecov", "~> 0.16.1"

	spec.add_dependency "httparty", "~> 0.16.2"
	spec.add_dependency "ice_nine", "~> 0.11.2"
end
